package com.ruoyi.system.domain.investment;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政协委员招商引资对象 zx_investment
 * 
 * @author boman
 * @date 2024-03-27
 */
public class ZxInvestment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 政协委员招商引资ID */
    private Long investmentId;

    /** 委员账号id */
    @Excel(name = "委员账号id")
    private Long userId;

    /** 委员姓名 */
    @Excel(name = "委员姓名")
    private String name;

    /** 项目线索名称 */
    @Excel(name = "项目线索名称")
    private String clueName;

    /** 拟投资额 */
    @Excel(name = "拟投资额")
    private String investmentAmount;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactsName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String contactsPhone;

    /** 联系内容 */
    @Excel(name = "联系内容")
    private String contactsContent;
    /**
     * 招商项目状态 1:未签约 2：已签约
     */
    private String type;

    /** 录入时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "录入时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date publishTime;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setInvestmentId(Long investmentId)
    {
        this.investmentId = investmentId;
    }

    public Long getInvestmentId() 
    {
        return investmentId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setClueName(String clueName) 
    {
        this.clueName = clueName;
    }

    public String getClueName() 
    {
        return clueName;
    }
    public void setInvestmentAmount(String investmentAmount) 
    {
        this.investmentAmount = investmentAmount;
    }

    public String getInvestmentAmount() 
    {
        return investmentAmount;
    }
    public void setContactsName(String contactsName) 
    {
        this.contactsName = contactsName;
    }

    public String getContactsName() 
    {
        return contactsName;
    }
    public void setContactsPhone(String contactsPhone) 
    {
        this.contactsPhone = contactsPhone;
    }

    public String getContactsPhone() 
    {
        return contactsPhone;
    }
    public void setContactsContent(String contactsContent) 
    {
        this.contactsContent = contactsContent;
    }

    public String getContactsContent() 
    {
        return contactsContent;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("investmentId", getInvestmentId())
            .append("userId", getUserId())
            .append("name", getName())
            .append("clueName", getClueName())
            .append("investmentAmount", getInvestmentAmount())
            .append("contactsName", getContactsName())
            .append("contactsPhone", getContactsPhone())
            .append("contactsContent", getContactsContent())
            .append("publishTime", getPublishTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
