package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.investment.ZxInvestment;

import java.util.List;


/**
 * 政协委员招商引资Service接口
 * 
 * @author boman
 * @date 2024-03-27
 */
public interface IZxInvestmentService 
{
    /**
     * 查询政协委员招商引资
     * 
     * @param investmentId 政协委员招商引资主键
     * @return 政协委员招商引资
     */
    public ZxInvestment selectZxInvestmentByInvestmentId(Long investmentId);

    /**
     * 查询政协委员招商引资列表
     * 
     * @param zxInvestment 政协委员招商引资
     * @return 政协委员招商引资集合
     */
    public List<ZxInvestment> selectZxInvestmentList(ZxInvestment zxInvestment);

    /**
     * 新增政协委员招商引资
     * 
     * @param zxInvestment 政协委员招商引资
     * @return 结果
     */
    public int insertZxInvestment(ZxInvestment zxInvestment);

    /**
     * 修改政协委员招商引资
     * 
     * @param zxInvestment 政协委员招商引资
     * @return 结果
     */
    public AjaxResult updateZxInvestment(ZxInvestment zxInvestment);

    /**
     * 批量删除政协委员招商引资
     * 
     * @param investmentIds 需要删除的政协委员招商引资主键集合
     * @return 结果
     */
    public int deleteZxInvestmentByInvestmentIds(Long[] investmentIds);

    /**
     * 删除政协委员招商引资信息
     * 
     * @param investmentId 政协委员招商引资主键
     * @return 结果
     */
    public int deleteZxInvestmentByInvestmentId(Long investmentId);
}
