import request from '@/utils/request'

// 查询素材库列表
export function listMaterial(query) {
  return request({
    url: '/system/material/list',
    method: 'get',
    params: query
  })
}

// 查询素材库详细
export function getMaterial(materialId) {
  return request({
    url: '/system/material/' + materialId,
    method: 'get'
  })
}

// 新增素材库
export function addMaterial(data) {
  return request({
    url: '/system/material',
    method: 'post',
    data: data
  })
}

// 修改素材库
export function updateMaterial(data) {
  return request({
    url: '/system/material/put',
    method: 'post',
    data: data
  })
}

// 删除素材库
export function delMaterial(materialId) {
  return request({
    url: '/system/material/delete/' + materialId,
    method: 'get'
  })
}
