import request from '@/utils/request'

// 查询boman_news列表
export function listNews(query) {
  return request({
    url: '/system/record/list',
    method: 'get',
    params: query
  })
}

// 查询boman_news详细
export function getNews(newsId) {
  return request({
    url: '/system/record/' + newsId,
    method: 'get'
  })
}

// 新增boman_news
export function addNews(data) {
  return request({
    url: '/system/record',
    method: 'post',
    data: data
  })
}

// 修改boman_news
export function updateNews(data) {
  return request({
    url: '/system/record/put',
    method: 'post',
    data: data
  })
}

// 删除boman_news
export function delNews(newsId) {
  return request({
    url: '/system/record/delete/' + newsId,
    method: 'get'
  })
}
