import request from '@/utils/request'

// 查询政协发言列表
export function listSpeak(query) {
  return request({
    url: '/zx/speak/list',
    method: 'get',
    params: query
  })
}

// 查询政协发言详细
export function getSpeak(speakId) {
  return request({
    url: '/zx/speak/' + speakId,
    method: 'get'
  })
}

// 新增政协发言
export function addSpeak(data) {
  return request({
    url: '/zx/speak',
    method: 'post',
    data: data
  })
}

// 修改政协发言
export function updateSpeak(data) {
  return request({
    url: '/zx/speak/put',
    method: 'post',
    data: data
  })
}

// 删除政协发言
export function delSpeak(speakId) {
  return request({
    url: '/zx/speak/delete/' + speakId,
    method: 'get'
  })
}
