import request from '@/utils/request'

// 查询岗位列表
export function listPost(query) {
  return request({
    url: '/investigate/disposition/list',
    method: 'get',
    params: query
  })
}

// 查询岗位详细
export function getPost(postId) {
  return request({
    url: '/investigate/disposition/' + postId,
    method: 'get'
  })
}

// 新增岗位
export function addPost(data) {
  return request({
    url: '/investigate/disposition',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updatePost(data) {
  return request({
    url: '/investigate/disposition/put',
    method: 'post',
    data: data
  })
}
export function updateStat(data) {
  return request({
    url: '/investigate/disposition/status',
    method: 'post',
    data: data
  })
}


// 删除岗位
export function delPost(postId) {
  return request({
    url: '/investigate/disposition/delete/' + postId,
    method: 'get'
  })
}
