import request from '@/utils/request'

// 查询政协履职加分列表
export function listBonus(query) {
  return request({
    url: '/zxBonus/bonus/list',
    method: 'get',
    params: query
  })
}

// 查询政协履职加分详细
export function getBonus(bonusId) {
  return request({
    url: '/zxBonus/bonus/' + bonusId,
    method: 'get'
  })
}

// 新增政协履职加分
export function addBonus(data) {
  return request({
    url: '/zxBonus/bonus',
    method: 'post',
    data: data
  })
}

// 修改政协履职加分
export function updateBonus(data) {
  return request({
    url: '/zxBonus/bonus/put',
    method: 'post',
    data: data
  })
}

// 删除政协履职加分
export function delBonus(bonusId) {
  return request({
    url: '/zxBonus/bonus/delete/' + bonusId,
    method: 'get'
  })
}
