import request from '@/utils/request'

// 查询附件列表
export function listAnnex(query) {
  return request({
    url: '/system/annex/list',
    method: 'get',
    params: query
  })
}

// 查询附件详细
export function getAnnex(annexId) {
  return request({
    url: '/system/annex/' + annexId,
    method: 'get'
  })
}

// 新增附件
export function addAnnex(data) {
  return request({
    url: '/system/annex',
    method: 'post',
    data: data
  })
}

// 修改附件
export function updateAnnex(data) {
  return request({
    url: '/system/annex/put',
    method: 'post',
    data: data
  })
}

// 删除附件
export function delAnnex(annexId) {
  return request({
    url: '/system/annex/delete/' + annexId,
    method: 'get'
  })
}
