import request from '@/utils/request'

// 查询摄像机设备列表
export function listCamera(query) {
  return request({
    url: '/system/camera/list',
    method: 'get',
    params: query
  })
}

// 查询摄像机设备详细
export function getCamera(cameraId) {
  return request({
    url: '/system/camera/' + cameraId,
    method: 'get'
  })
}

// 新增摄像机设备
export function addCamera(data) {
  return request({
    url: '/system/camera',
    method: 'post',
    data: data
  })
}

// 修改摄像机设备
export function updateCamera(data) {
  return request({
    url: '/system/camera/put',
    method: 'post',
    data: data
  })
}

// 删除摄像机设备
export function delCamera(cameraId) {
  return request({
    url: '/system/camera/delete/' + cameraId,
    method: 'get'
  })
}
