import request from '@/utils/request'

// 查询预约配置主列表
export function listConfig(query) {
  return request({
    url: '/reservat/time/list',
    method: 'get',
    params: query
  })
}

// 查询预约配置主详细
export function getConfig(reservatConfigId) {
  return request({
    url: '/reservat/time/' + reservatConfigId,
    method: 'get'
  })
}

// 新增预约配置主
export function addConfig(data) {
  return request({
    url: '/reservat/time',
    method: 'post',
    data: data
  })
}

// 修改预约配置主
export function updateConfig(data) {
  return request({
    url: '/reservat/time/put',
    method: 'post',
    data: data
  })
}

// 删除预约配置主
export function delConfig(reservatConfigId) {
  return request({
    url: '/reservat/time/delete/' + reservatConfigId,
    method: 'get'
  })
}
