import request from '@/utils/request'

// 查询接待人员信息列表
export function listPersonnel(query) {
  return request({
    url: '/system/personnel/list',
    method: 'get',
    params: query
  })
}

// 查询接待人员信息详细
export function getPersonnel(receptionId) {
  return request({
    url: '/system/personnel/' + receptionId,
    method: 'get'
  })
}

// 新增接待人员信息
export function addPersonnel(data) {
  return request({
    url: '/system/personnel',
    method: 'post',
    data: data
  })
}

// 修改接待人员信息
export function updatePersonnel(data) {
  return request({
    url: '/system/personnel/put',
    method: 'post',
    data: data
  })
}

// 删除接待人员信息
export function delPersonnel(receptionId) {
  return request({
    url: '/system/personnel/delete/' + receptionId,
    method: 'get'
  })
}
