import request from '@/utils/request'

// 查询政协通知公告列表
export function listNotice(query) {
  return request({
    url: '/zxNotice/notice/list',
    method: 'get',
    params: query
  })
}

// 查询政协通知公告详细
export function getNotice(zxNoticeId) {
  return request({
    url: '/zxNotice/notice/' + zxNoticeId,
    method: 'get'
  })
}

// 新增政协通知公告
export function addNotice(data) {
  return request({
    url: '/zxNotice/notice',
    method: 'post',
    data: data
  })
}

// 修改政协通知公告
export function updateNotice(data) {
  return request({
    url: '/zxNotice/notice/put',
    method: 'post',
    data: data
  })
}

// 删除政协通知公告
export function delNotice(zxNoticeId) {
  return request({
    url: '/zxNotice/notice/delete/' + zxNoticeId,
    method: 'get'
  })
}
