import request from '@/utils/request'

// 查询提案信息列表
export function listInfolb(query) {
  return request({
    url: '/proposalInfo/info/list',
    method: 'get',
    params: query
  })
}

// 统计
export function listInfolbtj(query) {
  return request({
    url: '/proposalInfo/info/list/statistics',
    method: 'get',
    params: query
  })
}

// 催办
export function listInfolbcb(query) {
  return request({
    url: '/proposalInfo/info/tacbList',
    method: 'get',
    params: query
  })
}




// 查询提案信息详细
export function getInfo(proposalId) {
  return request({
    url: '/proposalInfo/info/' + proposalId,
    method: 'get'
  })
}

// 新增提案信息
export function addInfo(data) {
  return request({
    url: '/proposalInfo/info',
    method: 'post',
    data: data
  })
}


// 是否立案
export function isRecord(data) {
  return request({
    url: '/proposalInfo/info/isRecord',
    method: 'post',
    data: data
  })
}

export function idea(data) {
  return request({
    url: '/proposalInfo/info/idea',
    method: 'post',
    data: data
  })
}

// 单位答复
export function reply(data) {
  return request({
    url: '/proposal/unit/reply',
    method: 'post',
    data: data
  })
}

// 推荐重点
export function keyPoint(data) {
  return request({
    url: '/proposalInfo/info/keyPoint',
    method: 'post',
    data: data
  })
}

// 推荐优秀
export function outstanding(data) {
  return request({
    url: '/proposalInfo/info/outstanding',
    method: 'post',
    data: data
  })
}

// 政协意见
export function zxIdea(data) {
  return request({
    url: '/proposalInfo/info/zxIdea',
    method: 'post',
    data: data
  })
}

//提案交办
export function assign(data) {
  return request({
    url: '/proposalInfo/info/assign',
    method: 'post',
    data: data
  })
}


//提案交办审核
export function setPass(data) {
  return request({
    url: '/proposalInfo/info/assignsh',
    method: 'post',
    data: data
  })
}

//政府催办
export function urge(data) {
  return request({
    url: '/zxUrge/urge',
    method: 'post',
    data: data
  })
}


//答复委员
export function cbdwdfwy(data) {
  return request({
    url: '/proposalInfo/info/cbdwdfwy',
    method: 'post',
    data: data
  })
}



//承办单位提案信息列表
export function unitList(query) {
  return request({
    url: '/proposalInfo/info/unitList',
    method: 'get',
    params: query
  })
}



// 修改提案信息
export function updateInfo(data) {
  return request({
    url: '/proposalInfo/info/put',
    method: 'post',
    data: data
  })
}

// 删除提案信息
export function delInfo(proposalId) {
  return request({
    url: '/proposalInfo/info/delete/' + proposalId,
    method: 'get'
  })
}
