import request from '@/utils/request'

// 查询提案信息列表
export function listInfolb(query) {
  return request({
    url: '/proposalInfo/info/jointlyList',
    method: 'get',
    params: query
  })
}

// 查询提案信息详细
export function getInfo(proposalId) {
  return request({
    url: '/proposalInfo/info/' + proposalId,
    method: 'get'
  })
}

// 新增提案信息
export function addInfo(data) {
  return request({
    url: '/proposalInfo/info',
    method: 'post',
    data: data
  })
}


// 是否立案
export function isRecord(data) {
  return request({
    url: '/proposalInfo/info/isRecord',
    method: 'post',
    data: data
  })
}

export function idea(data) {
  return request({
    url: '/proposalInfo/info/idea',
    method: 'post',
    data: data
  })
}

// 单位答复
export function reply(data) {
  return request({
    url: '/proposal/unit/reply',
    method: 'post',
    data: data
  })
}

// 推荐重点
export function keyPoint(data) {
  return request({
    url: '/proposalInfo/info/keyPoint',
    method: 'post',
    data: data
  })
}

// 推荐优秀
export function outstanding(data) {
  return request({
    url: '/proposalInfo/info/outstanding',
    method: 'post',
    data: data
  })
}

// 政协意见
export function zxIdea(data) {
  return request({
    url: '/proposalInfo/info/zxIdea',
    method: 'post',
    data: data
  })
}

//提案交办
export function assign(data) {
  return request({
    url: '/proposalInfo/info/assign',
    method: 'post',
    data: data
  })
}

export function setPass(data) {
  return request({
    url: '/proposal/user/verify',
    method: 'post',
    data: data
  })
}









// 修改提案信息
export function updateInfo(data) {
  return request({
    url: '/proposalInfo/info/put',
    method: 'post',
    data: data
  })
}

// 删除提案信息
export function delInfo(proposalId) {
  return request({
    url: '/proposalInfo/info/delete/' + proposalId,
    method: 'get'
  })
}
