import request from '@/utils/request'

// 查询提案类别列表
export function listProposal(query) {
  return request({
    url: '/category/proposal/list',
    method: 'get',
    params: query
  })
}

// 查询提案类别详细
export function getProposal(categoryId) {
  return request({
    url: '/category/proposal/' + categoryId,
    method: 'get'
  })
}

// 新增提案类别
export function addProposal(data) {
  return request({
    url: '/category/proposal',
    method: 'post',
    data: data
  })
}

// 修改提案类别
export function updateProposal(data) {
  return request({
    url: '/category/proposal/put',
    method: 'post',
    data: data
  })
}

// 删除提案类别
export function delProposal(categoryId) {
  return request({
    url: '/category/proposal/delete/' + categoryId,
    method: 'get'
  })
}
