import request from '@/utils/request'

// 查询提案人员列表
export function listUser(query) {
  return request({
    url: '/proposal/user/list',
    method: 'get',
    params: query
  })
}

// 查询提案人员详细
export function getUser(id) {
  return request({
    url: '/proposal/user/' + id,
    method: 'get'
  })
}

// 新增提案人员
export function addUser(data) {
  return request({
    url: '/proposal/user',
    method: 'post',
    data: data
  })
}

// 修改提案人员
export function updateUser(data) {
  return request({
    url: '/proposal/user/put',
    method: 'post',
    data: data
  })
}

// 删除提案人员
export function delUser(id) {
  return request({
    url: '/proposal/user/delete/' + id,
    method: 'get'
  })
}
