import request from '@/utils/request'

// 查询政协委员招商引资列表
export function listInvestment(query) {
  return request({
    url: '/zx/investment/list',
    method: 'get',
    params: query
  })
}

// 查询政协委员招商引资详细
export function getInvestment(investmentId) {
  return request({
    url: '/zx/investment/' + investmentId,
    method: 'get'
  })
}

// 新增政协委员招商引资
export function addInvestment(data) {
  return request({
    url: '/zx/investment',
    method: 'post',
    data: data
  })
}

// 修改政协委员招商引资
export function updateInvestment(data) {
  return request({
    url: '/zx/investment',
    method: 'put',
    data: data
  })
}

// 删除政协委员招商引资
export function delInvestment(investmentId) {
  return request({
    url: '/zx/investment/' + investmentId,
    method: 'delete'
  })
}
