import request from '@/utils/request'

// 查询政协评价考核列表
export function listAssessment(query) {
  return request({
    url: '/zxAssessment/assessment/list',
    method: 'get',
    params: query
  })
}

// 查询政协评价考核详细
export function getAssessment(assessmentId) {
  return request({
    url: '/zxAssessment/assessment/' + assessmentId,
    method: 'get'
  })
}

// 新增政协评价考核
export function addAssessment(data) {
  return request({
    url: '/zxAssessment/assessment',
    method: 'post',
    data: data
  })
}

// 修改政协评价考核
export function updateAssessment(data) {
  return request({
    url: '/zxAssessment/assessment',
    method: 'put',
    data: data
  })
}

// 删除政协评价考核
export function delAssessment(assessmentId) {
  return request({
    url: '/zxAssessment/assessment/' + assessmentId,
    method: 'delete'
  })
}
